<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/maxExecTime.php');

# QUERYS
$sMeses = "SELECT * FROM meses";

# EJECUCION DE QUERYS
$db = new dbExec();
$select["meses"] = $db->query($sMeses);
$db->close();

$AnoTrab=date("Y", strtotime($_SESSION['empFtrab']));
$MesTrab=date("m", strtotime($_SESSION['empFtrab']));
?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-excel"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');

        $modalImp = "modalImp";
        include_once('../../../php/includes/modalImp.php');
      ?>
      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Generar Reporte</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">
                
                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-group">
                    <div class="form-row align-items-end">
                      <div class="col-md-6">
                        <div class="form-row">
                          <div class="col-7">
                            <label for="selMes">Mes</label>
                            <select class="form-control form-control-sm form-control-as" name="selMes" id="selMes">
                              <option value="0">Seleccionar...</option>
                              <?php
                                while ($rec = $db->fetchAssoc($select['meses'])) {
                                  echo  '<option value="'.$rec['mes_cod'].'">'.utf8_encode($rec['mes_nom']).'</option>';
                                }
                              ?>
                            </select>
                          </div>

                          <div class="col-5">
                            <label for="numAno">Año</label>
                            <input type="number" class="form-control form-control-sm form-control-as" id="numAno" placeholder="">
                          </div>
                        </div>
                      </div>
                      <div class="col-md-4">
                        <label for="numHoja">No. Última Hoja</label>
                        <input type="number" class="form-control form-control-sm form-control-as" id="numHoja" placeholder="">
                      </div>
                    </div>

                    <div class="form-row">
                      <div class="col-md-3">
                        <div class="custom-control custom-switch">
                          <input type="checkbox" class="custom-control-input" name="cbFecsn" id="cbFecsn">
                          <label class="custom-control-label" for="cbFecsn">Incluye fecha y hora</label>
                        </div>
                      </div>
                      <div class="col-md-2">
                        <div class="custom-control custom-switch">
                          <input type="checkbox" class="custom-control-input" name="cbNoFol" id="cbNoFol">
                          <label class="custom-control-label" for="cbNoFol">Incluye No. Folio</label>
                        </div>
                      </div>
                    </div>
                  </div>

                  <h3 class="text-light"></h3>

                  <div class="form-group">
                    <div class="form-row">
                      <div class="form-group col">
                        <button class="btn btn-primary btn-lg btn-block" id="btnImprimir" type="button">Imprimir</button>
                      </div>
                      <div class="form-group col">
                        <button class="btn btn-success btn-lg btn-block" id="btnExcel" type="button">Excel</button>
                      </div>
                    </div>
                  </div>
                </form>

              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  const selMes = document.thisform.selMes;
  const numAno = document.thisform.numAno;
  const numHoja = document.thisform.numHoja;
  const cbFecsn = document.thisform.cbFecsn;
  const cbNoFol = document.thisform.cbNoFol;

  function restriccion() {
    if (isNullPer(selMes.value)) {
      selMes.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el Mes"}});
      return true;
    }
    return false;
  }


  function getElements(locationPHP) {
    const getMes = "?selMes="+selMes.value;
    const getMesNom = "&selMesNom="+$("#selMes option:selected").text();
    const getAno = "&numAno="+numAno.value;
    const getHoja = "&numHoja="+numHoja.value;
    const getFecsn = "&cbFecsn="+cbFecsn.checked;
    const getNoFol = "&cbNoFol="+cbNoFol.checked;

    return window.location.origin+window.location.pathname+locationPHP+".php"+getMes+getMesNom+getAno+getHoja+getFecsn+getNoFol;
  }

  $(document).ready(function() {
    $(this).find('select:visible:first').focus();
    selMes.value = <?php echo $MesTrab; ?>;
    numAno.value = <?php echo $AnoTrab; ?>;
    numHoja.value = 0;
    cbFecsn.checked = true;
    cbNoFol.checked = true;

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      if (restriccion()) {return};

      window.open(getElements("print"), '_blank');
    });

    // CLICK EXCEL
    $("#btnExcel").click(function (){
      if (restriccion()) {return};

      window.location.href = getElements("excel");
    });
  });

</script>